Bug 856806 - vm doesn't boot from cd when boot sequence is set through "edit"
vm doesn't boot from cd when boot sequence is set through "edit"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Jelinek
Pavel Stehlik
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 16:20 EDT by Ohad Basan
Modified: 2014-10-30 18:34 EDT (History)
9 users (show)

See Also:
Fixed In Version: si20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log (784.19 KB, text/x-log)
2012-09-13 10:39 EDT, Ohad Basan
no flags Details

  None (edit)
Description Ohad Basan 2012-09-12 16:20:12 EDT
Description of problem:
booting from cdrom only works when using the "run once" option
it doesn't work when editing the vm attaching the cd and configuring the cdrom to be the first on the boot sequence

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.create a vm and click edit
2. attach to the vm a bootable iso
3.configure the boot sequence to boot from the cd as a first device
4. start the vm 
  
Actual results:
system doesn't boot from cd

Expected results:
system should boot from cd.

Additional info:
Comment 1 Haim 2012-09-13 09:13:56 EDT
version ? logs of engine and vdsm during reproduction?
Comment 2 Ohad Basan 2012-09-13 10:39:05 EDT
Created attachment 612472 [details]
vdsm.log
Comment 3 Ohad Basan 2012-09-13 10:41:24 EDT
si18.
vdsm.log was uplodaded
engine.log is here
http://fpaste.org/ypgM/
you can see the issue on my rhevm si18
10.35.17.203
see the win7 vm
edit it and see the boot sequence. as you can see the cdrom boots first and a cd is attached. if you reboot the machine - the cd will not boot but if you do the same with the "run once" option it will boot as it should from the cd.
Comment 4 Tomas Jelinek 2012-09-20 04:21:29 EDT
in U/S gerrit: http://gerrit.ovirt.org/#/c/8077/
Comment 5 Tomas Jelinek 2012-10-02 08:24:59 EDT
merged U/S: 9d34d62525bf51b2b775b456ec789a92798dc7b3

Note You need to log in before you can comment on or make changes to this bug.